javax.persistence.criteria

## Interface Selection<X>

All Superinterfaces:
  TupleElement<X>

All Known Subinterfaces:
  CollectionJoin<Z,E>, CompoundSelection<X>, CriteriaBuilder.Case<R>, CriteriaBuilder.Coalesce<T>, CriteriaBuilder.In<T>, CriteriaBuilder.SimpleCase<C,R>, Expression<T>, From<Z,X>, Join<Z,X>, ListJoin<Z,E>, MapJoin<Z,K,V>, ParameterExpression<T>, Path<X>, PluralJoin<Z,C,E>, Predicate, Root<X>, SetJoin<Z,E>, Subquery<T>

    public interface Selection<X>
    extends TupleElement<X>

### Method Summary

All Methods Instance Methods Abstract Methods
`Selection<X>` `alias(String name)`
`List<Selection<?>>` `getCompoundSelectionItems()`
`boolean` `isCompoundSelection()`

### Methods inherited from interface javax.persistence.TupleElement

`getAlias, getJavaType`

### Method Detail

#### alias

    Selection<X> alias(String name)

#### isCompoundSelection

    boolean isCompoundSelection()

#### getCompoundSelectionItems

    List<Selection<?>> getCompoundSelectionItems()